All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.exceptionhighlighting.html
Interface ExceptionHighlightingChartSelectorKeysInterface

All Known Implementing Classes:
  ExceptionHighlightingChartSelectorPanel

    public interface ExceptionHighlightingChartSelectorKeysInterface

This interface defines keys used to retrieve the visual components for the ExceptionHighlightingSelectorPanel from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface. Use these keys to retrieve the subcomponents from the component map to modify component properties or replace the component entirely.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4
See Also:
  `ExceptionHighlightingSelectorPanel`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `EHS_APPLY_TO_LABEL` Component key for the apply to label "EHS_APPLY_TO_LABEL"
`static java.lang.String` | `EHS_APPLY_TO_RADIO` Component key for the apply to radio buttons "EHS_APPLY_TO_RADIO"
`static java.lang.String` | `EHS_CLEAR_RULE_BUTTON` Component key for the clear rule button "EHS_CLEAR_RULE_BUTTON"
`static java.lang.String` | `EHS_CONDITION_CHOICE` Component key for the conditions choice "EHS_CONDITION_CHOICE"
`static java.lang.String` | `EHS_CONDITION_LABEL` Component key for the condition label "EHS_CONDITION_LABEL"
`static java.lang.String` | `EHS_EXCEPTION_RULE_LABEL` Component key for the exception rule label "EHS_EXCEPTION_RULE_LABEL"
`static java.lang.String` | `EHS_MAX_VALUE_COMBO` Component key for the max value combobox "EHS_MAX_VALUE_COMBO"
`static java.lang.String` | `EHS_MAX_VALUE_LABEL` Component key for the max value label "EHS_MAX_VALUE_LABEL"
`static java.lang.String` | `EHS_MEASURE_CHOICE` Component key for the measures choicebox "EHS_MEASURE_CHOICE"
`static java.lang.String` | `EHS_MEASURE_LABEL` Component key for the measure label "EHS_MEASURE_LABEL"
`static java.lang.String` | `EHS_MIN_VALUE_COMBO` Component key for the min value combobox "EHS_MIN_VALUE_COMBO"
`static java.lang.String` | `EHS_MIN_VALUE_LABEL` Component key for the min value label "EHS_MIN_VALUE_LABEL"
`static java.lang.String` | `EHS_PREVIEW_LABEL` Component key for the preview label "EHS_PREVIEW_LABEL"
`static java.lang.String` | `EHS_SELECT_LEVELS_BUTTON` Component key for the select levels button "EHS_SELECT_LEVELS_BUTTON"
`static java.lang.String` | `EHS_SELECT_LEVELS_LABEL` Component key for select levels label "EHS_SELECT_LEVELS_LABEL"
`static java.lang.String` | `EHS_SELECT_LEVELS_RESET_BUTTON` Component key for the select levels button "EHS_SELECT_LEVELS_RESET_BUTTON"
`static java.lang.String` | `EHS_SELECT_LEVELS_TREE` Component key for select levels tree "EHS_SELECT_LEVELS_TREE"
`static java.lang.String` | `EHS_VALUE_COMBO` Component key for the value combobox "EHS_VALUE_COMBO"
`static java.lang.String` | `EHS_VALUE_LABEL` Component key for the value label "EHS_VALUE_LABEL"
`static java.lang.String` | `EXCEPTIONHIGHLIGHTINGSELECTOR` Component key for the selector.

Field Detail

### EXCEPTIONHIGHLIGHTINGSELECTOR

    static final java.lang.String EXCEPTIONHIGHLIGHTINGSELECTOR

  Component key for the selector. "EXCEPTIONHIGHLIGHTINGSSELECTOR"

  See Also:
    Constant Field Values

### EHS_PREVIEW_LABEL

    static final java.lang.String EHS_PREVIEW_LABEL

  Component key for the preview label "EHS_PREVIEW_LABEL"

  See Also:
    Constant Field Values

### EHS_MEASURE_LABEL

    static final java.lang.String EHS_MEASURE_LABEL

  Component key for the measure label "EHS_MEASURE_LABEL"

  See Also:
    Constant Field Values

### EHS_MEASURE_CHOICE

    static final java.lang.String EHS_MEASURE_CHOICE

  Component key for the measures choicebox "EHS_MEASURE_CHOICE"

  See Also:
    Constant Field Values

### EHS_CONDITION_LABEL

    static final java.lang.String EHS_CONDITION_LABEL

  Component key for the condition label "EHS_CONDITION_LABEL"

  See Also:
    Constant Field Values

### EHS_CONDITION_CHOICE

    static final java.lang.String EHS_CONDITION_CHOICE

  Component key for the conditions choice "EHS_CONDITION_CHOICE"

  See Also:
    Constant Field Values

### EHS_VALUE_LABEL

    static final java.lang.String EHS_VALUE_LABEL

  Component key for the value label "EHS_VALUE_LABEL"

  See Also:
    Constant Field Values

### EHS_VALUE_COMBO

    static final java.lang.String EHS_VALUE_COMBO

  Component key for the value combobox "EHS_VALUE_COMBO"

  See Also:
    Constant Field Values

### EHS_MIN_VALUE_LABEL

    static final java.lang.String EHS_MIN_VALUE_LABEL

  Component key for the min value label "EHS_MIN_VALUE_LABEL"

  See Also:
    Constant Field Values

### EHS_MIN_VALUE_COMBO

    static final java.lang.String EHS_MIN_VALUE_COMBO

  Component key for the min value combobox "EHS_MIN_VALUE_COMBO"

  See Also:
    Constant Field Values

### EHS_MAX_VALUE_LABEL

    static final java.lang.String EHS_MAX_VALUE_LABEL

  Component key for the max value label "EHS_MAX_VALUE_LABEL"

  See Also:
    Constant Field Values

### EHS_MAX_VALUE_COMBO

    static final java.lang.String EHS_MAX_VALUE_COMBO

  Component key for the max value combobox "EHS_MAX_VALUE_COMBO"

  See Also:
    Constant Field Values

### EHS_APPLY_TO_LABEL

    static final java.lang.String EHS_APPLY_TO_LABEL

  Component key for the apply to label "EHS_APPLY_TO_LABEL"

  See Also:
    Constant Field Values

### EHS_APPLY_TO_RADIO

    static final java.lang.String EHS_APPLY_TO_RADIO

  Component key for the apply to radio buttons "EHS_APPLY_TO_RADIO"

  See Also:
    Constant Field Values

### EHS_SELECT_LEVELS_BUTTON

    static final java.lang.String EHS_SELECT_LEVELS_BUTTON

  Component key for the select levels button "EHS_SELECT_LEVELS_BUTTON"

  See Also:
    Constant Field Values

### EHS_SELECT_LEVELS_RESET_BUTTON

    static final java.lang.String EHS_SELECT_LEVELS_RESET_BUTTON

  Component key for the select levels button "EHS_SELECT_LEVELS_RESET_BUTTON"

  See Also:
    Constant Field Values

### EHS_EXCEPTION_RULE_LABEL

    static final java.lang.String EHS_EXCEPTION_RULE_LABEL

  Component key for the exception rule label "EHS_EXCEPTION_RULE_LABEL"

  See Also:
    Constant Field Values

### EHS_CLEAR_RULE_BUTTON

    static final java.lang.String EHS_CLEAR_RULE_BUTTON

  Component key for the clear rule button "EHS_CLEAR_RULE_BUTTON"

  See Also:
    Constant Field Values

### EHS_SELECT_LEVELS_LABEL

    static final java.lang.String EHS_SELECT_LEVELS_LABEL

  Component key for select levels label "EHS_SELECT_LEVELS_LABEL"

  See Also:
    Constant Field Values

### EHS_SELECT_LEVELS_TREE

    static final java.lang.String EHS_SELECT_LEVELS_TREE

  Component key for select levels tree "EHS_SELECT_LEVELS_TREE"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.